org.wso2.carbon.dataservices.ui.stub.admin

## Class SaveDataService

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.admin.SaveDataService

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class SaveDataService
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  SaveDataService bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SaveDataService.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localServiceContents` field for ServiceContents
    `protected boolean` | `localServiceContentsTracker`
    `protected String` | `localServiceHierarchy` field for ServiceHierarchy
    `protected boolean` | `localServiceHierarchyTracker`
    `protected String` | `localServiceName` field for ServiceName
    `protected boolean` | `localServiceNameTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getServiceContents()` Auto generated getter method
    `String` | `getServiceHierarchy()` Auto generated getter method
    `String` | `getServiceName()` Auto generated getter method
    `boolean` | `isServiceContentsSpecified()`
    `boolean` | `isServiceHierarchySpecified()`
    `boolean` | `isServiceNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setServiceContents(String param)` Auto generated setter method
    `void` | `setServiceHierarchy(String param)` Auto generated setter method
    `void` | `setServiceName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localServiceName

          protected String localServiceName

      field for ServiceName

    - #### localServiceNameTracker

          protected boolean localServiceNameTracker

    - #### localServiceHierarchy

          protected String localServiceHierarchy

      field for ServiceHierarchy

    - #### localServiceHierarchyTracker

          protected boolean localServiceHierarchyTracker

    - #### localServiceContents

          protected String localServiceContents

      field for ServiceContents

    - #### localServiceContentsTracker

          protected boolean localServiceContentsTracker

  - ### Constructor Detail

    - #### SaveDataService

          public SaveDataService()

  - ### Method Detail

    - #### isServiceNameSpecified

          public boolean isServiceNameSpecified()

    - #### getServiceName

          public String getServiceName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setServiceName

          public void setServiceName(String param)

      Auto generated setter method
      Parameters:
        `param` - ServiceName

    - #### isServiceHierarchySpecified

          public boolean isServiceHierarchySpecified()

    - #### getServiceHierarchy

          public String getServiceHierarchy()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setServiceHierarchy

          public void setServiceHierarchy(String param)

      Auto generated setter method
      Parameters:
        `param` - ServiceHierarchy

    - #### isServiceContentsSpecified

          public boolean isServiceContentsSpecified()

    - #### getServiceContents

          public String getServiceContents()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setServiceContents

          public void setServiceContents(String param)

      Auto generated setter method
      Parameters:
        `param` - ServiceContents

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.